### Method

# WebKit FindController count_matches

#### Declaration [src]

    void
    webkit_find_controller_count_matches (
      WebKitFindController* find_controller,
      const gchar* search_text,
      guint32 find_options,
      guint max_match_count
    )

#### Description [src]

Counts the number of matches for `search_text`.

Counts the number of matches for `search_text` found in the `WebKitWebView` with the provided `find_options`. The number of matches will be provided by the `WebKitFindController::counted-matches` signal.

#### Parameters

`search_text`

  Type: `const gchar*`

  The text to look for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`find_options`

  Type: `guint32`

  A bitmask with the `WebKitFindOptions` used in the search.

`max_match_count`

  Type: `guint`

  The maximum number of matches allowed in the search.